> For the complete documentation index, see [llms.txt](https://docs.ergonode.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ergonode.com/graphql/overview/query-types/stream-queries.md).

# Stream queries

{% hint style="info" %}
Note that some updates though potentially could be interpreted as other resource updates as well, i.e. category name changes could result in updates of both product and category tree cursors, are limited to the specific resource to limit the overall amount of updates.

This is by design since a potentially small change could cause a snowball effect - one, simple category name change, could cause the need to reimport all products in the system, etc.
{% endhint %}

### productStream

* product created
* product property updated
  * attribute value
  * product added or removed from a category
  * template assignment
  * status changed
  * a variant has been added or removed
  * grouped product has been added or removed
* product added to a segment
* variable product variant added to a segment
* grouping product grouped product added to a segment
* product related in product relation attribute added to a segment

### attributeStream

* attribute created
* attribute property updated
  * name
  * metadata
  * option added, modified, or removed from an attribute
  * unit attribute unit
  * price attribute currency
  * textarea attribute richEdit property

### categoryStream

* category created
* category property updated
  * name
  * attribute value

### categoryTreeStream

* category tree created
* category tree property updated
  * name
  * category tree structure

### multimediaStream

* multimedia created
* multimedia property updated
  * name
  * folder assignment
  * attribute value


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ergonode.com/graphql/overview/query-types/stream-queries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
